aagc.vo

## Class MaterialeAusilioPAIResponse

- java.lang.Object
- - aagc.vo.MaterialeAusilioPAIResponse

-     public class MaterialeAusilioPAIResponse
      extends java.lang.Object

  Classe Java per materialeAusilioPAIResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="materialeAusilioPAIResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codiceTipo" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descrzione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="250"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="note" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="150"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceTipo`
    `protected java.lang.String` | `descrzione`
    `protected java.lang.String` | `note`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaterialeAusilioPAIResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceTipo()` Recupera il valore della proprietà codiceTipo.
    `java.lang.String` | `getDescrzione()` Recupera il valore della proprietà descrzione.
    `java.lang.String` | `getNote()` Recupera il valore della proprietà note.
    `void` | `setCodiceTipo(java.lang.String value)` Imposta il valore della proprietà codiceTipo.
    `void` | `setDescrzione(java.lang.String value)` Imposta il valore della proprietà descrzione.
    `void` | `setNote(java.lang.String value)` Imposta il valore della proprietà note.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceTipo

          protected java.lang.String codiceTipo

    - #### descrzione

          protected java.lang.String descrzione

    - #### note

          protected java.lang.String note

  - ### Constructor Detail

    - #### MaterialeAusilioPAIResponse

          public MaterialeAusilioPAIResponse()

  - ### Method Detail

    - #### getCodiceTipo

          public java.lang.String getCodiceTipo()

      Recupera il valore della proprietà codiceTipo.
      Returns:
        possible object is `String`

    - #### setCodiceTipo

          public void setCodiceTipo(java.lang.String value)

      Imposta il valore della proprietà codiceTipo.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrzione

          public java.lang.String getDescrzione()

      Recupera il valore della proprietà descrzione.
      Returns:
        possible object is `String`

    - #### setDescrzione

          public void setDescrzione(java.lang.String value)

      Imposta il valore della proprietà descrzione.
      Parameters:
        `value` - allowed object is `String`

    - #### getNote

          public java.lang.String getNote()

      Recupera il valore della proprietà note.
      Returns:
        possible object is `String`

    - #### setNote

          public void setNote(java.lang.String value)

      Imposta il valore della proprietà note.
      Parameters:
        `value` - allowed object is `String`